package cn.stylefeng.team.portal.modular.front.service;

import cn.stylefeng.team.portal.modular.front.pojo.appcenter.AppCenterCategory;
import cn.stylefeng.team.portal.modular.front.pojo.appcenter.AppCenterLink;
import cn.stylefeng.team.portal.modular.front.pojo.request.AppCenterRequest;

import java.util.List;

public interface AppCenterService {

    List<AppCenterCategory> getTotalCategoryAndLink(AppCenterRequest appCenterRequest);

    List<AppCenterLink> getCurrentUserLinkList();

    List<AppCenterCategory> getUserConfigList();

    void updateUserConfigList(AppCenterRequest appCenterRequest);

}
